@import url(./normalize.css);
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;700&display=swap');
.section {
    min-width: 1200px;
}

.section-landing-page {
    background: url('../img/Sections_background/section-1.jpg') no-repeat;
    background-size: 100%;
    background-attachment: fixed;
}

.header-wrapper {
    background-color: rgba(94, 93, 88, 0.6); 
}

.header {
    display: flex;
    align-items: center;
    height: 120px;
    width: 1160px;
    margin: 0 auto;
}

.ham-logo-wrapper {
    display: inline-block;
    margin-right: auto;
}

.header-ul {
    text-transform: uppercase;
    height: 100%;
    margin: 0;
    padding: 0;
}

.header-ul li {
    display: inline-block;
    margin-right: 21px;
}

.header-ul li a {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.6);
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 16px;
    transition: .3s ease;
    position: relative;
}

.fa-magnifying-glass {
    color: rgba(255, 255, 255, 0.6);
    transition: .3s ease;
}

.fa-magnifying-glass:hover, .header-ul li a:hover {
    color: rgba(24, 207, 171, 1);
    transition: .3s ease;
}

.header-ul li a::after {
    content: '';
    position: absolute;
    display: block;
    height: 1px;
    width: 100%;
    margin-top: 49.3px;
    background: rgba(24, 207, 171, 0);
}

.header-ul li a:hover::after{
    border-bottom: 1px solid rgba(24, 207, 171, 1);
}

.content-wrapper {
    width: 1160px;
    margin: 0 auto;
}

.section-landing-page-content {
    height: 1000px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.green-span {
    color: rgba(24, 207, 171, 1);
}

.section-landing-page-content p {
    text-transform: uppercase;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 35px;
    color: rgba(255, 255, 255, 1);
    margin: 0;
    margin-bottom: 20px;
}

.section-landing-page-content p:nth-child(2) {
    font-size: 78px;
}
.section-landing-page-content p:last-of-type {
    text-transform: none;
    font-size: 34px;
    font-weight: 400;
    color: rgba(212, 212, 212, 1);
    margin-bottom: 190px;
}

.button {
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    color: rgba(255, 255, 255, 1);
    text-transform: uppercase;
    padding: 16px 18px;
    border-radius: 3px;
    border: none;
    box-shadow: 0px -3px rgba(255, 255, 255, 1);
    position: relative;
    z-index: 100;
    cursor: pointer;
}

.button.green-btn {
    background-color: rgba(24, 207, 171, 1);
    margin-right: 26px;
}

.button.blue-btn {
    background-color: rgba(0, 203, 246, 1);
}

.our-services-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 377px;
    margin-bottom: 80px;
}

.services-grid-item {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

img.pointer-finger, img.bulb_icon {
    margin-bottom: 47px;
}

img.diamond_icon, img.different_devices_icon {
    margin-bottom: 69px;
}

.services-grid-item:nth-child(2n) {
    background: rgba(24, 207, 171, 1);
}

.services-grid-item:nth-child(2n+1) {
    background: rgba(28, 42, 51, 1);
}

.services-grid-text {
    font-size: 20px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    text-transform: uppercase;
    margin: 0;
}

.services-grid-text.green-text {
    color: rgba(24, 207, 171, 1);
}

.services-grid-text.white-text {
    color: rgba(255, 255, 255, 1);
}

.our-services-title {
    font-family: 'Montserrat', sans-serif;
    font-size: 36px;
    font-weight: 400;
    color: rgba(78, 78, 78, 1);  
    text-align: center;
    margin: 0;
    margin-bottom: 100px;
    position: relative;
}

.our-services-title::before {
    content: '';
    position: absolute;
    width: 75px;
    height: 1px;
    background-color: rgba(24, 207, 171, 1);
    bottom: -69%;
    right: 47%;
}

.our-services-title::after {
    content: '';
    position: absolute;
    width: 75px;
    height: 1px;
    background-color: rgba(24, 207, 171, 1);
    bottom: -84%;
    right: 45.3%;
}

.services-of-design-header {
    margin-bottom: 19px;
}

.our-services-list-item.active {
    background-color: rgba(24, 207, 171, 1);
    border: none;
    position: relative;
}

.our-services-list-item.active::after {
    content: '';
    position: absolute;
    bottom: -55%;
    left: 50%;
    transform: translate(-50%,-50%);
    display: block;
    border: 10px solid transparent;
    border-top: 10px solid rgba(24, 207, 171, 1);
}

.our-services-list-item.active span {
    color: rgba(255, 255, 255, 1);
}

.services-of-design-header ul {
    padding: 0;
    margin: 0;
    font-size: 0;
    width: 100%;
    display: flex;
    text-align: center;
}

.services-of-design-header ul li{
    display: inline-block;
    padding: 16px 0;
    background-color: rgba(248, 252, 254, 1);
    flex-grow: 1;
    border-top: 1px solid rgba(237, 239, 239, 1);
    border-bottom: 1px solid rgba(237, 239, 239, 1);
    border-right: 1px solid rgba(237, 239, 239, 1);
    cursor: pointer;
}

.services-of-design-header ul li span {
    color: rgba(113, 113, 113, 1);
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    font-size: 16px;
}

.web-design-text {
    display: flex;
    margin-bottom: 90px;
}

.web-design-text img {
    width: 179.43px;
    object-fit: cover;
    margin-right: 15px;
}

.web-design-text p {
    font-family: 'Montserrat';
    font-weight: 300;
    font-size: 13.645px;
    line-height: 24px;
    color: rgba(119, 119, 119, 1);
    margin: 0;
    text-align: justify;
}

.section.section-purchase-now {
    background: url(../img/section_with_purchase_button_background.png);
}

.title-and-purchase-btn-container {
    text-align: center;
    height: 475px;
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.title-and-purchase-btn-container p:nth-child(1) {
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 40px;
    text-transform: uppercase;
    color: rgba(24, 207, 171, 1);
    margin: 0;
    margin-bottom: 12px;
}

.title-and-purchase-btn-container p:nth-child(2) {
    font-family: 'Montserrat';
    color: rgba(216, 216, 216, 1);
    margin: 0;
    margin-bottom: 65px;
}

.section.section-our-amazing-work {
    background-color: rgba(233, 237, 239, 1);
    margin-bottom: 80px;
}

.amazing-work-title {
    text-align: center;
    color: rgba(78, 78, 78, 1);
    font-family: 'Montserrat';
    font-size: 36px;
    margin: 0 0 95px 0;
    padding-top: 95px;
    position: relative;
}

.amazing-work-title::before {
    content: '';
    position: absolute;
    width: 75px;
    height: 1px;
    background-color: rgba(24, 207, 171, 1);
    bottom: -27%;
    right: 47%;
}

.amazing-work-title::after {
    content: '';
    position: absolute;
    width: 75px;
    height: 1px;
    background-color: rgba(24, 207, 171, 1);
    bottom: -33%;
    right: 45.3%;
}

.amazing-work-header {
    margin: 0;
    margin-bottom: 70px;
}

.amazing-work-header ul {
    display: flex;
    justify-content: center;
}

.amazing-work-header ul li {
    display: inline-block;
    box-sizing: border-box;
    padding: 14px 16px;
    border: 1px solid rgba(218, 218, 218, 1);
    border-left: none;
    cursor: pointer;
}

.amazing-work-header ul li:first-of-type {
    border-left: 1px solid rgba(218, 218, 218, 1);
}

.amazing-work-header ul li.active {
    border: 2px solid rgba(24, 207, 171, 1);
}

.amazing-work-header ul li.active span {
    color: rgba(24, 207, 171, 1);
}

.amazing-work-header ul li span {
    color: rgba(113, 113, 113, 1);
    font-family: 'Montserrat';
    font-size: 14px;
}

.amazing-work-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: 206px;
    margin-bottom: 70px;
}

.green-bold-small-text {
    font-family: 'Montserrat';
    font-weight: 700;
    font-size: 14px;
    color: rgba(24, 207, 171, 1);
    text-transform: uppercase;
    margin: 0;
    margin-bottom: 8px;
}

.grey-thin-small-text {
    font-family: 'Montserrat';
    font-weight: 300;
    font-size: 12px;
    color: rgba(138, 138, 138, 1);
    margin: 0;
}

.amazing-work-grid-item img:not(.creative_web_design_icon) {
    height: 100%;
    width: 100%;
}

.amazing-work-grid-item.item-1 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-top: 6px solid rgba(24, 207, 171, 1);
}

.creative_web_design_icon {
    margin-bottom: 25px;
}

.load-more-button {
    text-transform: uppercase;
    color: rgba(255, 255, 255, 1);
    font-family: 'Montserrat';
    font-weight: 700;
    font-size: 14px;
    padding: 22px 23px 22px 56px;
    border: none;
    border-radius: 3px;
    background-color: rgba(24, 207, 171, 1);
    position: relative;
    cursor: pointer;
}

.load-more-button::before {
    content: '';
    position: absolute;
    display: block;
    width: 19px;
    height: 19px;
    background: url('../img/plus_icon.svg') no-repeat;
    bottom: 50%;
    left: 23px;
    transform: translate(0,50%);
}

.load-more-button-container {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    height: 190px;
}

.breaking-news-text {
    font-family: 'Montserrat';
    font-size: 36px;
    color: rgba(78, 78, 78, 1);
    text-align: center;
    margin: 0;
    margin-bottom: 100px;
    position: relative;
}

.breaking-news-text::before {
    content: '';
    position: absolute;
    width: 75px;
    height: 1px;
    background-color: rgba(24, 207, 171, 1);
    bottom: -69%;
    right: 47%;
}

.breaking-news-text::after {
    content: '';
    position: absolute;
    width: 75px;
    height: 1px;
    background-color: rgba(24, 207, 171, 1);
    bottom: -83%;
    right: 45.3%;
}

.news-posts-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: minmax(260px, auto);
    column-gap: 35px;
    row-gap: 43px;
    margin-bottom: 120px;
}

.news-posts-grid-items a{
    text-decoration: none;
}

.news-posts-photo_with_caption img {
    width: 100%;
}

.news-posts-grid-post-caption {
    font-family: 'Montserrat';
    font-weight: 700;
    font-size: 18px;
    color: rgba(113, 113, 113, 1);
    padding-left: 15px;
    margin: 10px 0;
    transition: .3s ease;
}

.caption-admin, .vertical-line, .caption-comments {
    font-family: 'Montserrat';
    font-weight: 300;
    font-size: 14px;
    color: rgba(119, 119, 119, 1);
}

.caption-admin {
    padding-right: 15px;
    padding-left: 15px;
}

.caption-comments {
    padding-left: 15px;
}

.news-posts-photo-with-caption {
    position: relative;
}

.date-of-post-publishing {
    position: absolute;
    width: 68px;
    height: 68px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 6px;
    top: 0;
    right: 1px;
    background-color: rgba(32, 62, 56, 1);
    transition: .3s ease;
}

.date-of-post-publishing span {
    color: rgba(255, 255, 255, 1);
    font-family: 'Montserrat';
    font-size: 16px;
}

.post-link:hover .news-posts-grid-post-caption{
    color: rgba(24, 207, 171, 1);
    transition: .3s ease;
}

.post-link:hover .date-of-post-publishing {
    background-color: rgba(24, 207, 171, 1);
    transition: .3s ease;
}

.section.section-feedbacks {
    background: url('../img/Sections_background/section-3.jpg') no-repeat center center;
    background-size: cover;
    position: relative;
    /* height: 850px; */
}

.section.section-feedbacks::after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .5);
}

.section-feedbacks-title {
    font-family: 'Montserrat';
    font-size: 36px;
    color: rgba(255, 255, 255, 1);
    text-align: center;
    padding: 100px 0 0 0;
    margin: 0;
    margin-bottom: 170px;
    position: relative;
}

.section-feedbacks-title::before {
    content: '';
    position: absolute;
    width: 75px;
    height: 1px;
    background-color: rgba(24, 207, 171, 1);
    bottom: -20%;
    right: 47%;
}

.section-feedbacks-title::after {
    content: '';
    position: absolute;
    width: 75px;
    height: 1px;
    background-color: rgba(24, 207, 171, 1);
    bottom: -25%;
    right: 45.3%;
}

.section-feedbacks-text {
    font-family: 'Montserrat';
    font-weight: 300;
    font-size: 16px;
    color: rgba(187, 187, 187, 1);
    text-align: center;
    line-height: 30px;
    position: relative;
    margin: 0;
    margin-bottom: 37px;
}

.section-feedbacks-text::before {
    content: '';
    display: block;
    background: url('../img/quotation_marks_icon.svg') no-repeat;
    width: 50px;
    height: 50px;
    position: absolute;
    top: -65px;
    left: 50%;
    transform: translateX(-50%); 
    z-index: -1;   
}

.section-feedbacks-title,
.section-feedbacks-text,
.name-of-people, 
.occupation-of-people, 
.avatar-wrapper,
.slider-of-people {
    position: relative;
    z-index: 1;
}

.name-of-people {
    font-family: 'Montserrat';
    font-weight: 700;
    font-size: 16px;
    color: rgba(24, 207, 171, 1);
    text-transform: uppercase;
    margin: 0;
    margin-bottom: 10px;
    text-align: center;
}

.occupation-of-people {
    font-family: 'Montserrat';
    font-weight: 300;
    font-size: 13px;
    color: rgba(138, 138, 138, 1);
    margin: 0;
    margin-bottom: 40px;
    text-align: center;
}

.avatar-wrapper {
    margin: 0 auto 55px;
    width: 170px;
    height: 170px;
    border-radius: 50%;
    overflow: hidden;
    border: 13px solid rgba(31, 218, 181, 0.2);
}

.avatar-wrapper-slider {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    overflow: hidden;
    border: 6px solid rgba(31, 218, 181, 0.2);
    cursor: pointer;
    transition: all 3s ease;
}

.photo-of-a-person {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slider-of-people {
    height: 160px;
}

.avatars-container {
    display: flex;
    justify-content: center;
    gap: 40px;
    position: relative;
}

.photo-of-a-person.slider-photo.lower  {
    object-position: 50% 30%;;
}

.slider-less-sign {
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    height: 31px;
    width: 31px;
    border: 1px solid rgba(187, 187, 187, 1);
    top: 50%;
    left: 28%;
    transform: translate(-50%, -50%);
    position: absolute;
    cursor: pointer;
    transition: .3s ease;
}

.slider-more-sign {
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    height: 31px;
    width: 31px;
    border: 1px solid rgba(187, 187, 187, 1);
    top: 50%;
    left: 72%;
    transform: translate(-50%, -50%);
    position: absolute;
    cursor: pointer;
    transition: .3s ease;
}

.slider-less-sign:hover {
    border: none;
    background-color: rgba(24, 207, 171, 1);
    transition: .3s ease;
}

.slider-more-sign:hover {
    border: none;
    background-color: rgba(24, 207, 171, 1);
    transition: .3s ease;
}

.slider-less-sign,
.slider-more-sign {
    transition: .3s ease;
}

.slider-less-sign:hover .less-more-sign {
    fill: white;
    transition: .3s ease;
}

.slider-more-sign:hover .less-more-sign  {
    fill: white;
    transition: .3s ease;
}

.footer {
    height: 121px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Montserrat';
    font-weight: 300;
    font-size: 14px;
    text-align: center;
    background-color: rgba(34, 53, 63, 1);
}

.footer p {
    margin: 0;
    color: rgba(174, 174, 174, 1);
}

.footer-green-text {
    color: rgba(24, 207, 171, 1);
}



